恩山无线论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
查看: 122|回复: 5

openwrt编译sqlite3,没有相应的编译选项

[复制链接]
发表于 2021-2-2 14:18 | 显示全部楼层 |阅读模式
openwrt编译sqlite3进固件,make menuconfig --> utilities下没有相应的编译选项,整个openwrt目录下find -name sqlite命令后,也找不到任何内容。
我的恩山、我的无线 The best wifi forum is right here.
发表于 2021-2-2 15:25 | 显示全部楼层
在 Utilities,Database 里,选中 sqlite3-cli

点评

在utilities下没有databases选项  详情 回复 发表于 2021-2-2 15:29
我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2021-2-2 15:29 | 显示全部楼层
jjit 发表于 2021-2-2 15:25
在 Utilities,Database 里,选中 sqlite3-cli

在utilities下没有databases选项C:\Users\Administrator\Desktop\a.PNG
a.PNG

点评

你的openwrt版本太老了,新版本源码 截图: [attachimg]443916[/attachimg] [attachimg]443917[/attachimg]  详情 回复 发表于 2021-2-2 15:37
我的恩山、我的无线 The best wifi forum is right here.
发表于 2021-2-2 15:37 | 显示全部楼层
本帖最后由 jjit 于 2021-2-2 15:39 编辑
slq1223 发表于 2021-2-2 15:29
在utilities下没有databases选项

你的openwrt版本太老了,Chaos Calmer是openwrt 15
现在已经是 openwrt 版本 19 了
新版本源码,截图:

001.jpg
002.jpg

点评

好的,谢谢,下载新版本试下。大概在哪个版本就开始支持数据库了呢?  详情 回复 发表于 2021-2-2 15:40
我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2021-2-2 15:40 | 显示全部楼层
jjit 发表于 2021-2-2 15:37
你的openwrt版本太老了,Chaos Calmer是openwrt 15
现在已经是 openwrt 版本 19 了
新版本源码,截图: ...

好的,谢谢,下载新版本试下。大概在哪个版本就开始支持数据库了呢?

点评

我不知道了,去年才刚刚开始学编译,对旧版本不了解  详情 回复 发表于 2021-2-2 15:44
我的恩山、我的无线 The best wifi forum is right here.
发表于 2021-2-2 15:44 | 显示全部楼层
slq1223 发表于 2021-2-2 15:40
好的,谢谢,下载新版本试下。大概在哪个版本就开始支持数据库了呢?

我不知道了,去年才刚刚开始学编译,对旧版本不了解
我的恩山、我的无线 The best wifi forum is right here.
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|Archiver|恩山无线论坛(常州市恩山计算机开发有限公司版权所有) ( 苏ICP备05084872号 )|网站地图

GMT+8, 2021-2-26 20:16

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表